| Home | Libraries | People | FAQ | More

## Function template to_upper

boost::algorithm::to_upper — Convert to upper case.

## Synopsis

    template<typename MutableCollectionT>
      void to_upper(MutableCollectionT & Input,
                    const std::locale & Loc = std::locale());

## Description

Each element of the input sequence is converted to upper case. The input sequence is modified in-place.

Parameters

Input

  An input collection

Loc

  a locale used for conversion

| Copyright © 2002-2004 Pavol Droba